Movable Type 4: апгрейду быть

Несколько дней поковырял в фоновом режиме на тестовом сервере 4-й Movable Type и таки решил апгрейдиться.

Причин тому несколько (из cписка новых фич перечислены только важные для меня):

  • Главная причина апгрейда.
    Новая система темплейтов хоть и не идеально соответствует моим желаниям, но все же гораздо ближе к ним, чем старая.
    Старые темплейты я последний раз проклинал пару дней назад, переводя RSS-фид на Feedburner: пришлось исправить всего то мест пять (в идеале должно быть одно).
  • Более человеческие средства кросспоста в ЖЖ, используемый сейчас MTLJPost чудовищен.
  • Возможность сделать ветвящиеся комментарии, этот плагин был и для версии 3.3, но заставить его работать я так и не смог.
  • Встроенная поддержка OpenID, отчего использование этой авторизации стало менее замысловатым.
  • Активные авторы плагинов будут делать их (и исправлять ошибки) под 4-ю версию, а на старые — очевидно забъют.

К несчастью, стандартная процедура апгрейда, занимающая буквально несколько минут, категорически не подходит: все темплейты останутся старыми, а значит главная задача апгрейда не будет выполнена.

Помимо этого, не подходят и старые стилевые файлы. Т.е. любимый Cutline придется рихтовать самому.

Таким образом, задача явно не на пару часов, а скорее на пару дней. Будем, значит, мучаться, описывая мучения в блоге.

Comments

Сам фан MT, но до сих пор пользуюсь версией 2.64.

Тоже всерьез подумываю над переходом. Несколько пугает размер распакованного дистрибутива.

Кстати - параллельно веду блог на Wordpress, большой разницы не чувствую, кроме того, что Wordpress явно медлит при публикации поста (в сравнении с MT2.64, сервер тот же).

С радостью перебрался бы на MT, но привычка...

Add new comment